-- [[ Namespaces ]] --
local _, addon = ...;
addon.Credits = {};
local credits = addon.Credits;

local donations = {
    {Name = "Bur", Realm = "Frostmane EU", Class = "DRUID"},
    {Name = "Ta", Realm = "Der Rat von Dalaran EU", Class = "SHAMAN"},
}

function credits.GetDonationsAsString()
    local text = "";
    for _, donation in next, donations do
        local _, _, _, argbHex = GetClassColor(donation.Class);
        text = text .. "|c" .. argbHex .. donation.Name .. "|r";
        if donation.Realm then
            text = text .. " - " .. donation.Realm;
        end
        text = text .. "\n";
    end
    return text;
end

local specialThanks = {
    {Name = "Bur", Realm = "Frostmane EU", Class = "DRUID", Text = "Continuous support and helpful input and answers on questions that make this addon better; It wouldn't be as good without you :)"},
}

function credits.GetSpecialThanksAsString()
    local text = "";
    for _, specialTnx in next, specialThanks do
        local _, _, _, argbHex = GetClassColor(specialTnx.Class);
        text = text .. "|c" .. argbHex .. specialTnx.Name .. "|r";
        if specialTnx.Realm then
            text = text .. " - " .. specialTnx.Realm;
        end
        if specialTnx.Text then
            text = text .. " - " .. specialTnx.Text;
        end
        text = text .. "\n";
    end
    return text;
end